Траблы с обновлением. ASP 14

Автор: lyo Дата: 13.02.2009 11:21 Перешел с 12 на 14. Вроде все ничего. Пару дней назад появилась очередная клякса, говорящая о том, что есть обновления. Ок, давай ставить. Виснет на проверке зависимостей пакетов. Ну, то есть комп не виснет, но обновление дальше проверки зависимостей не продвигается. Лады, пробуем Yum Extender'ом и видим сообщение об ошибке, дескать:
libplasma.so.2 is needed by package compiz-kde-0.7.6-10.0.140asp.i386 (installed)
При этом при проверке наличия этого самого libplasma.so.2 получаем:
Package matching kdebase-workspace-libs-4.1.1-2.0.140asp.i386 already installed.
И все, пакеты связанные с KDE не обновляются. Короче, пробовал я и так и сяк, в итоге снес compiz-kde (все равно он у меня нихрена не запускался) и все чудненько обновилось. Пробую поставить compiz-kde обратно (а вдруг после обновления красота заработает?) и получаю ту же хрень:
[root@localhost ~]# yum install compiz-kde
Loaded plugins: refresh-packagekit
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package compiz-kde.i386 0:0.7.6-10.0.140asp set to be updated
--> Processing Dependency: libplasma.so.2 for package: compiz-kde
--> Finished Dependency Resolution
compiz-kde-0.7.6-10.0.140asp.i386 from asplinux has depsolving problems
--> Missing Dependency: libplasma.so.2 is needed by package compiz-kde-0.7.6-10.0.140asp.i386 (asplinux)
Error: Missing Dependency: libplasma.so.2 is needed by package compiz-kde-0.7.6-10.0.140asp.i386 (asplinux)
[root@localhost ~]# yum install libplasma.so.2
Loaded plugins: refresh-packagekit
Setting up Install Process
Parsing package install arguments
Package matching kdebase-workspace-libs-4.1.1-2.0.140asp.i386 already installed. Checking for update.
Nothing to do
Что за беда, може кто в курсе?
Re: Траблы с обновлением. ASP 14 16.02.2009 16:20kliv так никто не знает как решить вопрос? Столкнулся с той же проблемой....
Re: Траблы с обновлением. ASP 14 16.02.2009 16:39msv2 Оставьте вы этот compiz в покое!
У меня он тоже не заработал. Я просто снес его и все - душа спокойна и проч.
И работает быстрее - что хорошо при моем терпении.
Он вам обязательно нужен?
А хотите ставить - начните ставить по одному пакету - пусть по нему одному разрулит зависимости и далее после перезапуска Х - ов. По крайней мере у меня так получилось - не на моем компе, челу понадобился этот compiz вот и пришлось ставить.
Подумайте и вспомните, не было ли проблем с электр или с коннектом во время обновления.
Re: Траблы с обновлением. ASP 14 16.02.2009 20:56lyo Не, проблем с питанием не было.
И дело даже не в compiz'е, он и вправду не очень-то нужен (хотя неприятно, что у кого-то он работает, а у меня почему-то - нет). Дело в непонятном противоречии зависимостей пакетов: compiz-kde хочет libplasma.so.2, который вроде как входит в уже установленный пакет kdebase-workspace-libs. Смущает сам парадокс ситуации.
Re: Траблы с обновлением. ASP 14 16.02.2009 20:58msv2 попробуйте удалить эти пакеты а затем снова установить. у меня прокатывало
Re: Траблы с обновлением. ASP 14 25.10.2009 09:44BeTeP проблемы один в один что и у lyo: не обновляется, сносим комбиз, обновляем систему, обратно не ставится ругается что не установлено libplasma.so.2 пробуем ставить - говорит что libplasma.so.2 установлен иделать больше нечего...
Вполне возможно что АСП без него работает и быстрее, но я уселся за Линукс после 5-10 летнего перерыва - хочется увидеть все! и разобратся во всем Улыбка может кт знает как решить проблему?
Re: Траблы с обновлением. ASP 14 26.10.2009 01:55BigAndy Использовать вместо компонента эффекты Kwin.
Re: Траблы с обновлением. ASP 14 26.10.2009 09:45msv2 У меня система обновлена до последних версий. Затруднений таких не наблюдалось.
Re: Траблы с обновлением. ASP 14 26.10.2009 14:07BeTeP msv2 Пишет:
-------------------------------------------------------
> У меня система обновлена до последних версий.
> Затруднений таких не наблюдалось.


А скажите... у Вас кроме KDE GNOME установлен?... знаю что вопрос несовсем в тему, но тем немение...
Re: Траблы с обновлением. ASP 14 26.10.2009 19:27msv2 Да, а еще и LXDE
Re: Траблы с обновлением. ASP 14 26.10.2009 19:41BeTeP lyo, а у Вас GNOME установлен кроме KDE?
Re: Траблы с обновлением. ASP 14 27.10.2009 07:34BigAndy А какое это имеет отношение к компоненту?
Re: Траблы с обновлением. ASP 14 27.10.2009 10:31BeTeP BigAndy Пишет:
-------------------------------------------------------
> А какое это имеет отношение к компоненту?


да я и сам понять не могу... просто пока мучаю систему и часто перестанавливаю, и заметил такую штуку, что проблемы с обновлением compiz-kde, почему-то, возникают когда GNOME не ставишь вообще, если поставить, то комбиз ругатся не будет...
Re: Траблы с обновлением. ASP 14 27.10.2009 13:56BigAndy Ибо компиз для KDE - косяк. У KDE своя мощная подсистема KWIN. В systemsettings пеерйти на kwin и настраивать до синего блеска в глазах...
Re: Траблы с обновлением. ASP 14 27.10.2009 14:57BeTeP да я и так пользуюсь kwin просто интересно разобратся...
Re: Траблы с обновлением. ASP 14 30.10.2009 20:32AnyKey Не захотел начинать новую тему - эта подходит
ASPLinux14, Xfce - для телепатов. Свежая только поставил. Перешел на виртуальную консоль (в смысле Alt+F1). Запустил yum update. Очень понравилось, и как понял обновилось 424 пакета на 531 Мб. Перегружаюсь, регистрируюсь в Xfce и вот сюрприз - требуется обновление 365 пакетов. А на хрена простите YUM мне мозги компостировал? Где я ступил?
Re: Траблы с обновлением. ASP 14 30.10.2009 21:28blH, AnyKey Пишет:
-------------------------------------------------------
> как понял обновилось 424 пакета на 531 Мб.
А как Вы это поняли? Вы видели логи, в которых было написано, что процесс обновления полностью завершён? Или видели вывод юма который обновил эти пакеты от начала и до конца?

Мое телепатическое чувство мне подсказывает, что "424 пакета на 531 Мб" только собиралось обновиться. Процесс пошёл, загрузилось для обновления 424-365=2пишем7наумпошло пакетов. В этот момент Вы, не дождавшись окончания обновления, перезагрузились, и... угадайте с трех раз, что Вам должен сказать менеджер пакетов при следующем запуске?
Re: Траблы с обновлением. ASP 14 31.10.2009 10:46BigAndy
Цитата:
что Вам должен сказать менеджер пакетов при следующем запуске?

rpm -Va --ofiles
Re: Траблы с обновлением. ASP 14 31.10.2009 16:42AnyKey Да, спасибо. Очень похоже на правду. Я что-то подумал (если так можно выразиться) скачал пакет - поставил пакет. И так все 424. Но наверно он качает все 424 сообщая об успешной операции, а потом молча ставит, хоть бы "подождите" или " это займет некоторое время" написал. Я то еще не телепат, а только учусь Улыбка
Re: Траблы с обновлением. ASP 14 31.10.2009 17:02BigAndy А что думать-то? man yum
Re: Траблы с обновлением. ASP 14 31.10.2009 18:00AnyKey BigAndy Пишет:
-------------------------------------------------------
> А что думать-то? man yum

Согласен man yum хорош, а в части update тем более (кратко, лаконично), но про порядок работы самой утилиты (что вперед копирует все или копирует -ставит, какие сообщения выдает) там ни чего нет. Вот и приходят в голову больные фантазии, хотя наверно и мог я по аналогии с "установкой программ" догадаться - ведь та сначала тоже все качает потом ставит, но и окон сообщений вылезает предостаточно.
Re: Траблы с обновлением. ASP 14 31.10.2009 22:55Napilnik А как скопировать устанавливаемые rpm?
Re: Траблы с обновлением. ASP 14 31.10.2009 23:04BigAndy man cp. Только зачем?
Re: Траблы с обновлением. ASP 14 31.10.2009 23:10Napilnik Нет, мне хоцца помацать rpm устанавливаемые через yum. Ман юма смотрел, зачёт сдан, а теперь потребовался правильный ответ.
Re: Траблы с обновлением. ASP 14 31.10.2009 23:14BigAndy
Цитата:
а теперь потребовался правильный ответ.

Ответ содержится в man yum. Только чем вывана такая кривая потребность устанавливать rpm через yum, не понятно. Чем rpm не подходит?
Re: Траблы с обновлением. ASP 14 31.10.2009 23:26Napilnik Ну да, пачками там наложено правильных ответов, как на Поле Чудес золотых деревьев, только угадай где копнуть, а некто служит указателем указателем в светное будущее для Буратин ;-) Если рыть то скорее в yum.conf Кроме мана можно рекомендовать искать правильный ответ в дебаггере - там он точно есть.

Цитата:
Только чем вывана такая кривая потребность устанавливать rpm через yum, не понятно. Чем rpm не подходит?


Чтобы ставить рпм, их сначала нужно где-то прихватизировать, но не всегда есть желание по сто раз отрываться на поиск и скачивание ещё одного файлика. А после ещё возможно и зависимости придётся рубить топориком, вы это не знали?
Re: Траблы с обновлением. ASP 14 31.10.2009 23:36BigAndy Вы путаете процесс разрешения зависимостей с установкой rpm.
В yum есть пункт про локальную инсталляцию . В первом же пункте
Re: Траблы с обновлением. ASP 14 31.10.2009 23:43Napilnik
Цитата:
Вы путаете процесс разрешения зависимостей с установкой rpm.

В ручном режиме это единый процесс. rpm говорит чего ей не хватает для оргазма, пользователь ищет и запускает процесс по новой.

Цитата:
В yum есть пункт про локальную инсталляцию .

Пригодится, но это не совсем то.
Re: Траблы с обновлением. ASP 14 31.10.2009 23:54BigAndy Это совсем то.
Цитата:
rpm говорит чего ей не хватает для оргазма, пользователь ищет

зачем? bash на что?
Re: Траблы с обновлением. ASP 14 01.11.2009 00:04Napilnik
Цитата:
зачем?

1. Так утилита rpm устроена - требовать и капризничать.
2. Чтобы у неё случился качественный и глубокий оргазм, и как следствие, пользователь получил работоспособное ПО. Попробуйте установить ядро из обновлений скачивая с фтп rpm поштучно, убедитесь сами, а возможно и столкнётесь с конфликтом версий файлов видеосистемы у разных ядер. Вот тут-то и придётся чем-то жертвовать.

Цитата:
bash на что?

Чтобы команды выполнялись, без него никак нельзя.
Re: Траблы с обновлением. ASP 14 01.11.2009 00:59BigAndy почти логично
Успехов ыв ковырянии yum ;-)
RSS-материал